CVCertificateRequest (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.eac

## Class CVCertificateRequest

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.eac.CVCertificateRequest

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CVCertificateRequest
      extends ASN1Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `overSignerReference`
    `static byte[]` | `ZeroArray`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertificateBody` | `getCertificateBody()` Returns the body of the certificate template
    `byte[]` | `getInnerSignature()`
    `static CVCertificateRequest` | `getInstance(java.lang.Object obj)`
    `byte[]` | `getOuterSignature()`
    `PublicKeyDataObject` | `getPublicKey()` Return the public key data object carried in the request
    `boolean` | `hasOuterSignature()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ZeroArray

          public static byte[] ZeroArray

    - #### overSignerReference

          protected java.lang.String overSignerReference

  - ### Method Detail

    - #### getInstance

          public static CVCertificateRequest getInstance(java.lang.Object obj)

    - #### getCertificateBody

          public CertificateBody getCertificateBody()

      Returns the body of the certificate template
      Returns:
        the body.

    - #### getPublicKey

          public PublicKeyDataObject getPublicKey()

      Return the public key data object carried in the request
      Returns:
        the public key

    - #### getInnerSignature

          public byte[] getInnerSignature()

    - #### getOuterSignature

          public byte[] getOuterSignature()

    - #### hasOuterSignature

          public boolean hasOuterSignature()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.